Bug 836370 - Script error when installing selinux-policy-minimum.noarch 0:3.10.0-134.fc17
Script error when installing selinux-policy-minimum.noarch 0:3.10.0-134.fc17
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 16:48 EDT by Bruno Wolff III
Modified: 2012-07-17 13:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:27:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2012-06-28 16:48:42 EDT
Description of problem:
Error when installing selinux-policy-minimum
  
Actual results:
[root@cerberus bruno]# yum install -y selinux-policy-minimum
Loaded plugins: keys, list-data, merge-conf, priorities, protectbase, upgrade-
              : helper, verify, versionlock
0 packages excluded due to repository protections
Resolving Dependencies
--> Running transaction check
---> Package selinux-policy-minimum.noarch 0:3.10.0-134.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                  Arch     Version              Repository         Size
================================================================================
Installing:
 selinux-policy-minimum   noarch   3.10.0-134.fc17      updates-testing   3.7 M

Transaction Summary
================================================================================
Install  1 Package

Total size: 3.7 M
Installed size: 14 M
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : selinux-policy-minimum-3.10.0-134.fc17.noarch                1/1 
Traceback (most recent call last):
  File "/usr/sbin/semanage", line 566, in <module>
    trans.finish()
  File "/usr/lib64/python2.7/site-packages/seobject.py", line 285, in finish
    self.commit()
  File "/usr/lib64/python2.7/site-packages/seobject.py", line 274, in commit
    semanage_set_reload(self.sh, self.reload)
TypeError: in method 'semanage_set_reload', argument 2 of type 'int'
libsepol.print_missing_requirements: xguest's global requirements were not met: type/attribute config_home_t (No such file or directory).
libsemanage.semanage_link_sandbox: Link packages failed (No such file or directory).
/usr/sbin/semodule:  Failed!
  Verifying  : selinux-policy-minimum-3.10.0-134.fc17.noarch                1/1 

Installed:
  selinux-policy-minimum.noarch 0:3.10.0-134.fc17                               

Complete!
Comment 1 Miroslav Grepl 2012-06-29 05:16:46 EDT
semanage issues is going to be fixed in a new policycoreutils (#836087)
Comment 2 Miroslav Grepl 2012-06-29 11:28:47 EDT
Fixed in selinux-policy-minimum-3.10.0-136.fc17
Comment 3 Fedora Update System 2012-07-04 02:41:20 EDT
selinux-policy-3.10.0-137.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-137.fc17
Comment 4 Fedora Update System 2012-07-05 19:36:27 EDT
Package selinux-policy-3.10.0-137.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-137.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10279/selinux-policy-3.10.0-137.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-17 13:27:36 EDT
selinux-policy-3.10.0-137.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.